Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354659 - Ark does not provide a bug reporting address
Summary: Ark does not provide a bug reporting address
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kf5-kcrash
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 21:34 UTC by Alan Schmidt
Modified: 2017-08-08 15:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:31:33 UTC


Attachments (Terms of Use)
kwrite crash message (deleted)
2016-07-11 21:34 UTC, Alan Schmidt
no flags Details
ark crash message (deleted)
2016-07-11 21:35 UTC, Alan Schmidt
no flags Details

Description Alan Schmidt 2016-07-11 21:34:35 UTC
Created attachment 1178546 [details]
kwrite crash message

Description of problem:
From time to time, a program like kwrite or ark (invoked from dolphin) will crash. The crash reporter will appear, note that the crash has happened, and also note that KDE is very sorry, but really not interested in hearing about it.

At first I thought maybe the projects were abandoned, but the more I think of it, the less plausible that seems.


How reproducible:
There's no easy recipe to cause the crashes, but if it's kwrite or ark (possibly others), the message is the same.


Expected results:
If crash reports will not be entertained, it might be more helpful to note which programs I should be using instead. Since "ark" cannot receive bug reports, it may be best if some other program were used instead in the default "compress..." context menu.

Comment 1 Alan Schmidt 2016-07-11 21:35:31 UTC
Created attachment 1178547 [details]
ark crash message

Comment 2 Rex Dieter 2016-07-12 11:52:45 UTC
So others won't have to download an image just to see the error message, it is: Ark does not provide a bug reporting address

Comment 3 Alan Schmidt 2016-07-12 17:09:14 UTC
I think I'm expressing myself poorly, which, alas, is nothing new. I'm was trying not to be wordy. I'll try again.

The problem isn't really limited to ark. Kwrite has this problem, too. Kwrite doesn't appear in the "component" drop-down (at least I couldn't put my eyes on it), and I couldn't tell by the title bar the name of the program that's popping up the error message, which is what I'm REALLY trying to talk about.

I'm reporting about the bug reporting system. I had to select something, and I have no clue what it should have been.

My true belief is that there is no intention to refuse error reports. I'm betting that the idea behind the message I see is to try to keep some poor soul from being buried by bug reports that he needs to wade through, triage, and assign to the right people.

Ultimately, though, I'm no wiser than the bug reporting system in trying to identify the right person to report to, so the practical outcome is STILL that some poor soul has to triage the error report, with the additional fallout being

- I'm probably not going to end up supplying all the technical data that will help SOLVE a crashing problem
- I'm a little nonplussed at an message which means: "This is your problem, not mine," no matter how politely stated

Comment 4 Rex Dieter 2016-07-12 17:29:34 UTC
*This* issue is particular to ark, if it supports kcrash (and drdkonqi by extension), it should support reporting crashes to bugs.kde.org (which there *is* an ark component).  It's just that is not working as expected.

Comment 5 Ngo Than 2016-11-02 17:13:17 UTC
ark supports kcrash, it does KCrash::initialize correctly. It seems a bug in kf5-kcrash

Comment 6 Fedora End Of Life 2017-07-25 21:44:24 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-08-08 15:31:33 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.